Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1185763 - smuxi fails to build on ppc64le
Summary: smuxi fails to build on ppc64le
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: smuxi
Version: 21
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1255741
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2015-01-26 08:59 UTC by Michal Toman
Modified: 2015-12-02 17:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 07:59:29 UTC


Attachments (Terms of Use)

Description Michal Toman 2015-01-26 08:59:14 UTC
smuxi fails to build on ppc64le:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2293918

There is no ppc64le support in Fedora mono (even though there is in upstream). The package should use
ExclusiveArch: %{mono_arches}
rather than an explicit list of architectures.

Comment 1 Dan Horák 2015-01-26 17:52:45 UTC
hm, http://pkgs.fedoraproject.org/cgit/smuxi.git/commit/?id=6fe39289285f1b6ac9731df0235873e502009da3 actually reverts what Michal proposed. He probably missed the change Peter committed that uses the %{mono_arches} macro.

Comment 2 Antonio Trande 2015-01-26 18:00:24 UTC
(In reply to Dan Horák from comment #1)
> hm,
> http://pkgs.fedoraproject.org/cgit/smuxi.git/commit/
> ?id=6fe39289285f1b6ac9731df0235873e502009da3 actually reverts what Michal
> proposed. He probably missed the change Peter committed that uses the
> %{mono_arches} macro.

That's right but %{mono_arches} considers 
i386 i486 i586 i686 pentium3 pentium4 athlon geode x86_64 sparc sparcv9 ia64 armv3l armv4b armv4l armv4tl armv5tel armv5tejl armv6l armv6hl armv7l armv7hl armv7hnl alpha s390x ppc ppc64

but there are some missing BuildRequires packages in %{arm} %{power64}.

I have one's hands tied.

Comment 3 Dan Horák 2015-01-26 18:55:05 UTC
If a Mono based package uses %{power64} instead of %{mono_arches}, then it needs to be fixed.

What BR are missing on ARM?

Comment 4 Antonio Trande 2015-01-26 19:13:57 UTC
(In reply to Dan Horák from comment #3)
> If a Mono based package uses %{power64} instead of %{mono_arches}, then it
> needs to be fixed.
> 
> What BR are missing on ARM?

On PPC: http://ppc.koji.fedoraproject.org/koji/getfile?taskID=2294093&name=root.log&offset=-4000

On ARM it needs log4net https://admin.fedoraproject.org/pkgdb/package/log4net/

Comment 5 Dan Horák 2015-01-26 21:00:42 UTC
ok, these are all packaging bugs, I'm looking on them

Comment 7 Rafael Fonseca 2015-08-13 13:42:30 UTC
What's the current status of this bug? Are the packaging issues resolved?

Comment 8 Fedora End Of Life 2015-11-04 10:44:45 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-12-02 07:59:36 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.